Package uk.ac.starlink.votable.dom

# Class DelegatingDocumentType

java.lang.Object
uk.ac.starlink.votable.dom.DelegatingNode
uk.ac.starlink.votable.dom.DelegatingDocumentType

All Implemented Interfaces:
  `DocumentType`, `Node`

public class DelegatingDocumentType extends DelegatingNode implements DocumentType

## Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DelegatingDocumentType(DocumentType base, DelegatingDocument doc)`

## Method Summary

Modifier and Type
Method
Description
`NamedNodeMap`
`getEntities()`
`String`
`getInternalSubset()`
`String`
`getName()`
`NamedNodeMap`
`getNotations()`
`String`
`getPublicId()`
`String`
`getSystemId()`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DelegatingDocumentType

protected DelegatingDocumentType(DocumentType base, DelegatingDocument doc)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `DocumentType`

### getEntities

public NamedNodeMap getEntities()

Specified by:
  `getEntities` in interface `DocumentType`

### getNotations

public NamedNodeMap getNotations()

Specified by:
  `getNotations` in interface `DocumentType`

### getPublicId

public String getPublicId()

Specified by:
  `getPublicId` in interface `DocumentType`

### getSystemId

public String getSystemId()

Specified by:
  `getSystemId` in interface `DocumentType`

### getInternalSubset

public String getInternalSubset()

Specified by:
  `getInternalSubset` in interface `DocumentType`